Bug 8746 - printtool doesn't cope well with no printer attached
Summary: printtool doesn't cope well with no printer attached
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: printtool   
(Show other bugs)
Version: 6.2
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Bernhard Rosenkraenzer
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-01-22 12:10 UTC by Tim Waugh
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-02-07 14:42:47 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Tim Waugh 2000-01-22 12:10:46 UTC
If you try to print directly to the port, but realise that, being a new
user, you'd forgotten to attach the printer, what are you supposed to do?

Printtool is waiting to print, and doesn't seem to have any mechanism for
timeout out.  How about waiting for (say) 10 seconds, and after that
sending a signal to printf?

Which brings me to the second part of this bug report: if you get printtool
into this state, and then send a signal to printf (even just by stracing
it), you get a 'success' message.  Hardly appropriate.  Can't this all be
changed?

I realise that work is underway with print-config, but as I understand it,
(a) it won't be ready in time for 6.2, and
(b) the front end has only been done for KDE at the moment (sorry if I'm
wrong).

Besides, printtool is what is invoked by control-panel.

Comment 1 Bernhard Rosenkraenzer 2000-02-07 14:42:59 UTC
Not familiar enough with tcl (which is used for printtool) to come up with a
real fix in time for 6.2 - in 7.0, printtool won't be there in any case.

As for printer-config, it will be ready for 6.2, and while it relies on Qt and
kdelibs, it can be used from within any environment (except for the console for
now, same as printtool).


Note You need to log in before you can comment on or make changes to this bug.